curl --request GET \
--url https://api.dots.dev/api/v2/payout-requests \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dots.dev/api/v2/payout-requests"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dots.dev/api/v2/payout-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"amount": 123,
"payee": {
"country_code": "<string>",
"phone_number": "<string>"
},
"payout-link": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"link": "<string>",
"amount": 123,
"payee": {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"country_code": "<string>",
"phone_number": "<string>"
},
"delivery": {
"email": "jsmith@example.com",
"country_code": "<string>",
"phone_number": "<string>"
},
"tax_exempt": true,
"claimed_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memo": "<string>",
"metadata": "<string>"
},
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone_number": {
"country_code": "<string>",
"phone_number": "<string>"
},
"default_payout_method_details": {
"id": "<string>",
"description": "<string>",
"mask": "<string>",
"email": "<string>",
"phone_number": "<string>",
"cash_tag": "<string>",
"country": "<string>",
"currency": "<string>",
"rtp_enabled": true,
"meta": "<unknown>"
},
"wallet": {
"amount": 123,
"withdrawable_amount": 123,
"credit_balance": 123
},
"compliance": {
"tax_id_collected": true,
"address_collected": true,
"date_of_birth_collected": true,
"must_collect_1099": true,
"1099_collected": true,
"w8_ben_collected": true,
"flagged": true,
"id_verified": true,
"has_criminal_activity": true,
"background_check": {
"updated": "2023-11-07T05:31:56Z"
},
"w9": {
"business_name": "<string>",
"tax_id_collected": true,
"address_collected": true
},
"flags": {
"ofac": true,
"payout_method": true,
"payout_method_cycle": true,
"name_mismatch": true
}
},
"metadata": "<string>",
"payout_options_exclude_list": []
},
"metadata": "<string>",
"memo": "<string>"
}
]
}List all Payout Requests
List all payout requests.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.
Was this page helpful?

